#
# spec file for package sblim-cmpi-sysfs (Version 1.1.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cim-schema coreutils cpio cpp cracklib curl cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libidn libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl openssl-devel openwbem openwbem-devel pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sblim-cmpi-base sblim-cmpi-base-devel sblim-indication_helper sblim-indication_helper-devel sblim-testsuite sblim-wbemcli sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sblim-cmpi-sysfs
BuildRequires:  gcc-c++ openslp-devel openssl-devel pam-devel sblim-cmpi-base-devel sblim-indication_helper-devel sblim-testsuite
URL:            http://www-124.ibm.com/sblim/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        SBLIM Linux Sysfs Instrumentation for CMPI
Version:        1.1.8
Release:        10.2
Group:          System/Management
License:        IBM Public License
Requires:       sblim-cmpi-base >= 1.2.3
Source0:        http://prdownloads.sourceforge.net/sblim/sblim-cmpi-sysfs-%{version}.tar.bz2
Patch:          sblim-cmpi-sysfs-1.1.7_sysfs_no_follow.patch
PreReq:         /usr/bin/loadmof.sh, /usr/bin/rmmof.sh

%description
This package provides SBLIM instrumentation to expose the kernel
devices accessible via sysfs, which is a virtual filesystem in Linux
kernel versions 2.5+ that provides a tree of system devices. The sysfs
filesystem is mounted under /sys and the various subdirectories of /sys
represent the different classes of devices currently registered on the
machine.



Authors:
--------
    SBLIM Project

%debug_package
%prep
%setup -q -n %{name}-%{version}
%patch -p1

%build
%configure
%{__make}

%install

%makeinstall docdir=%{_docdir}/%{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
# compile MOF
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsAttribute.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsBlockDevice.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsBusDevice.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsInputDevice.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsNetworkDevice.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsSCSIDevice.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsSCSIHostDevice.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsTTYDevice.mof

%preun 
if [ "$1" = "0" ]; then
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsTTYDevice.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsSCSIHostDevice.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsSCSIDevice.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsNetworkDevice.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsInputDevice.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsBusDevice.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsBlockDevice.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_SysfsAttribute.mof
fi

%files
%defattr(-,root,root)
# skip-check-libtool-deps
%{_libdir}/cmpi/libLinux_SysfsAttribute.a
%{_libdir}/cmpi/libLinux_SysfsAttribute.la
%{_libdir}/cmpi/libLinux_SysfsAttribute.so
%{_libdir}/cmpi/libLinux_SysfsBlockDevice.a
%{_libdir}/cmpi/libLinux_SysfsBlockDevice.la
%{_libdir}/cmpi/libLinux_SysfsBlockDevice.so
%{_libdir}/cmpi/libLinux_SysfsBlockDeviceHasAttribute.a
%{_libdir}/cmpi/libLinux_SysfsBlockDeviceHasAttribute.la
%{_libdir}/cmpi/libLinux_SysfsBlockDeviceHasAttribute.so
%{_libdir}/cmpi/libLinux_SysfsBusDevice.a
%{_libdir}/cmpi/libLinux_SysfsBusDevice.la
%{_libdir}/cmpi/libLinux_SysfsBusDevice.so
%{_libdir}/cmpi/libLinux_SysfsBusDeviceHasAttribute.a
%{_libdir}/cmpi/libLinux_SysfsBusDeviceHasAttribute.la
%{_libdir}/cmpi/libLinux_SysfsBusDeviceHasAttribute.so
%{_libdir}/cmpi/libLinux_SysfsInputDevice.a
%{_libdir}/cmpi/libLinux_SysfsInputDevice.la
%{_libdir}/cmpi/libLinux_SysfsInputDevice.so
%{_libdir}/cmpi/libLinux_SysfsInputDeviceHasAttribute.a
%{_libdir}/cmpi/libLinux_SysfsInputDeviceHasAttribute.la
%{_libdir}/cmpi/libLinux_SysfsInputDeviceHasAttribute.so
%{_libdir}/cmpi/libLinux_SysfsNetworkDevice.a
%{_libdir}/cmpi/libLinux_SysfsNetworkDevice.la
%{_libdir}/cmpi/libLinux_SysfsNetworkDevice.so
%{_libdir}/cmpi/libLinux_SysfsNetworkDeviceHasAttribute.a
%{_libdir}/cmpi/libLinux_SysfsNetworkDeviceHasAttribute.la
%{_libdir}/cmpi/libLinux_SysfsNetworkDeviceHasAttribute.so
%{_libdir}/cmpi/libLinux_SysfsSCSIDevice.a
%{_libdir}/cmpi/libLinux_SysfsSCSIDevice.la
%{_libdir}/cmpi/libLinux_SysfsSCSIDevice.so
%{_libdir}/cmpi/libLinux_SysfsSCSIDeviceHasAttribute.a
%{_libdir}/cmpi/libLinux_SysfsSCSIDeviceHasAttribute.la
%{_libdir}/cmpi/libLinux_SysfsSCSIDeviceHasAttribute.so
%{_libdir}/cmpi/libLinux_SysfsSCSIHostDevice.a
%{_libdir}/cmpi/libLinux_SysfsSCSIHostDevice.la
%{_libdir}/cmpi/libLinux_SysfsSCSIHostDevice.so
%{_libdir}/cmpi/libLinux_SysfsSCSIHostDeviceHasAttribute.a
%{_libdir}/cmpi/libLinux_SysfsSCSIHostDeviceHasAttribute.la
%{_libdir}/cmpi/libLinux_SysfsSCSIHostDeviceHasAttribute.so
%{_libdir}/cmpi/libLinux_SysfsTTYDevice.a
%{_libdir}/cmpi/libLinux_SysfsTTYDevice.la
%{_libdir}/cmpi/libLinux_SysfsTTYDevice.so
%{_libdir}/cmpi/libLinux_SysfsTTYDeviceHasAttribute.a
%{_libdir}/cmpi/libLinux_SysfsTTYDeviceHasAttribute.la
%{_libdir}/cmpi/libLinux_SysfsTTYDeviceHasAttribute.so
%{_libdir}/libLinux_SysfsAttributeUtil.a
%{_libdir}/libLinux_SysfsAttributeUtil.la
%{_libdir}/libLinux_SysfsAttributeUtil.so
%{_libdir}/libLinux_SysfsDeviceUtil.a
%{_libdir}/libLinux_SysfsDeviceUtil.la
%{_libdir}/libLinux_SysfsDeviceUtil.so
%{_datadir}/sblim-testsuite
%{_datadir}/%{name}
%doc %{_docdir}/%{name}

%changelog -n sblim-cmpi-sysfs
* Tue Mar 07 2006 - mrueckert@suse.de
- added sblim-cmpi-sysfs-1.1.7_sysfs_no_follow.patch
  sysfs contains cyclic symlinks. the provider uses find(1) to
  traversal the tree. the patch fixes the find call so it wont
  loop infinitely anymore. (#154863)
* Wed Mar 01 2006 - mrueckert@suse.de
- update to 1.1.8 [#144214]
- dropped all patches as the build system has changed
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 13 2005 - mrueckert@suse.de
- update to 1.1.7
- build with openwbem
- build with optflags
- use new loadmof/rmmof syntax
* Thu Nov 11 2004 - ro@suse.de
- fixed file list
* Thu May 20 2004 - nashif@suse.de
- fix #40890: provider fails to read file/dir names that contain
  spaces
- V. 1.1.3
* Wed May 12 2004 - nashif@suse.de
- Do not De-register when updating package
* Mon May 10 2004 - nashif@suse.de
- Dereigster providers when uninstalling (#39667)
- test scripts incorrectly check file read/write permission (#40262)
* Fri Apr 30 2004 - nashif@suse.de
- Update to version 1.1.1
- fixes bug #39032: util libs installed in wrong directory
* Wed Apr 14 2004 - nashif@suse.de
- Added PreReq for loadmof.sh
* Wed Apr 07 2004 - nashif@suse.de
- Initial version
